WMPLOAD(1)

NAME
wmpload - dockapp to display ppp throughput statistics

SYNOPSIS
wmpload [-average n] [-device X] [-display d] [-div n] [-field1 X] [-field2 X] [-geometry g] [-greenin] [-logscale] [-noproc] [-redin] [-update n]

DESCRIPTION
The wmpload program displays information about network interface (ppp) statistics. Additionally, for Linux 2.2 it can display statistics for any interface that reports to /proc/net/dev .

OPTIONS

Wmpload accepts a few command line options. The order of the options in unimportant.

-average n
    Average or smooth over n number of samples in the calculations of the current rates for the displayed graphs. The default is to average over 10 points. For a more instantaneous response this can be set to 1.

-device X
    Monitor this device. The default is ppp0.

-display d
    Attach to the X server display specified in d. The default is to attach to the display specified in the environment variable $DISPLAY. See the manual page for X(1) for more information on X displays.

-div n
    Show dividing lines for a rate of n bytes per second. The default is to show a line every 2048 bytes per second (2 k/s).

-field1 X
    The wmpload window has two sections. One, the bottom, graphs the current and a short history of the monitored device's throughput rate. The other top section displays some text based information that is customizable. The argument X can be one of total, rate, max, device, or none. Total displays the total number of bytes through the specified device, rate displays the current rate in bytes/s, max displays the maximum rate recorded since the program started, device displays the monitored device's name, and none leaves the field empty. The default is total.

-field2 X
    See the -field1 option. The default for the second field is rate.

-geometry g
    Use X11 geometry spec g. This really isn't very useful because wmpload's window is a fixed size and the position part is ignored by Window Maker. The position part may be honored by other window managers. See the manual page for X(1) for more information on X11 window geometry specifications.

-greenin
    Represent inbound data as the green color. This also specifies that outbound data is represented as the red color by default. Since there are only two colors available, the following commands are equivalent: -greenin -redout. This is the default. To reverse the colors either -greenout or -redin can be used.

-logscale
    The logscale option enables graphing the base 10 logarithm of the rates. This is most useful for high bandwith devices like ethernet. The -div option interacts with this option: a scale line will be drawn for 10*div, 100*div, 1000*div, ... bytes. The default is to graph linearly.

-noproc
    This option is only valid for Linux >=2.2. It disables the default usage of the proc filesystem for gathering device statistics. The more portable ioctl() method is used instead. When -noproc is specified only ppp stats can be read.

-redin
    See the -greenin option.

-update n
    The displayed charts are updated every integer n milliseconds. The default is to update every 1000 milliseconds (1 second). A fast moving display can be accomplished with a setting of about 10.

SEE ALSO
wmaker(1), pppstats(8), X(1), pload(1)

BUGS
No bugs are known as of this writing. Please contact the author if you think you have found a bug.

COPYRIGHT
Copyright (C) 1999,2000 Matt Smith

AUTHOR
Wmpload was written by Matt Smith <mdsmith@engr.utk.edu> and is based on the Xaw based program, pload and wmwave by Carsten Schuermann.